# DirectFullCacheRepo

interface DirectFullCacheRepo : FullCacheRepo (source)

Repos-inheritors MUST realize their methods via next logic:

- Reloading of data in cache must be reactive (e.g. via Flow) or direct mutation methods usage (override set and mutate cache inside, for example)

- All reading methods must take data from cache via synchronization with dev.inmo.micro_utils.coroutines.SmartRWLocker

#### Inheritors

DirectFullReadCRUDCacheRepo
DirectFullReadKeyValueCacheRepo
DirectFullWriteKeyValueCacheRepo
DirectFullKeyValueCacheRepo
DirectFullReadKeyValuesCacheRepo
DirectFullWriteKeyValuesCacheRepo

## Functions

invalidate
Link copied to clipboard
abstract suspend fun invalidate ()

Invalidates its internal data. It may lead to autoreload of data. In case when repo makes autoreload, it must do loading of data before clear